<template>
  <button
    class="bg-pink-500 hover:bg-pink-600 active:bg-pink-700 focus:outline-none focus:ring focus:ring-pink-300"
    :disabled="disabled"
    >
    {{title}}
  </button>
</template>

<script lang="ts">
export default {
  name: 'JButton',
  props: {
    title: String,
    disabled: Boolean
  }
}
</script>

<style lang="sass" scoped>
@import '../../shared/sass/colors.sass'
button
  width: 180px
  height: 46px
  color: $white
  font-size: 18px
  font-weight: 600
  border: none
  border-radius: 4em
  cursor: pointer
  &:disabled
    opacity: .3
    cursor: auto
</style>